import { Connect } from '@genesislcap/foundation-comms';
import type { DropdownMenuItem } from '@genesislcap/foundation-ui';
import { FASTElement } from '@microsoft/fast-element';
import type { SeverityType, Notify, FoundationInboxService as FoundationInboxServiceInterface } from './main.types';
/**
 * Foundation inbox component for displaying notifies list
 * Allow searching, filtering and deleting notifies
 * @beta
 */
export declare class FoundationInbox extends FASTElement {
    connect: Connect;
    foundationInboxService: FoundationInboxServiceInterface;
    notifies: Notify[];
    notifiesFromFilter: Notify[];
    ready: boolean;
    isLoading: boolean;
    searchText: string;
    private searchTextChanged;
    severity: SeverityType;
    private severityChanged;
    private subscriptionHandler;
    toastMenuItems: DropdownMenuItem[];
    get notifiesToDisplay(): Notify[];
    get filtersToUse(): {
        types: any[];
        payload: {
            search?: string;
            severity?: string;
        };
    };
    private getNotifiesFromFilter;
    connectedCallback(): Promise<void>;
    disconnectedCallback(): void;
    /**
     * Load remote components
     *
     * @remarks
     *
     * With regards to module federation
     *
     * @internal
     */
    loadRemotes(): Promise<void>;
}
//# sourceMappingURL=main.d.ts.map